LINUX.ORG.RU

Оформление, зависимости пакетов

 , , , ,


0

1

И снова здравствуйте!) Уже пару недель прошло с тех пор, как я пришел в мир unix-систем, после 15 лет на windows это тяжелое испытание, но я не привык сдаваться. Немного разобравшись с базовыми понятиями и установив доступные нужные мне драйвера, я принялся за оформление системы на свой вкус, очень я люблю это дело. Насмотревшись/начитавшись всяких тем, я понял что хочу (и использую на данный момент) Mate, с «менеджером» compiz с «оконным менеджером» emerald, так как на мой вкус, из того, что я нашел, это самое симпотичное. Из 100500 нерабочих/противоречащих друг-другу инструкций по установке оного, я сделал вывод, что мне нужен compiz-reloaded (может я чего-то неправильно понял). Я нашел «раздел» compiz на github'е, даже разобрался как исходники оттуда собрать в моей системе (debian 9.2). И тут начались мои проблемы. На githab'е не написано, что у него 100500 разных зависимостей, которые требуют еще столько же зависимостей и т.д. Многие из них в debian'е отсутствуют, или кажется не соответствую по версиям. Я нашел офф сайт самого compiz'а и список этих зависимостей, скопировал его оттуда в терминал с командой sudo app-get install, на что терминал мне выдал 6 разных ошибок. Я начал гуглить по всем этим ошибкам и зависимостям, количество вкладок в chromium'е перевалило за 20, а на часах уже 01:47) И тут я не выдержал и пришел к вам. Вы мне объясните пожалуйста, может я что делаю не так, неужели для установки чего-либо не из офф репозитория через synaptic, мне придется постоянно заниматься всем этим??? И это я еще молчу про то, что при установке чего-либо из самого synaptic'а, многие приложения так же тянут за собой 100500 различных пакетов и библиотек. А если приложение мне не понравилось, как потом вычищать все его запчасти? Прошу советов для чайника, как подружиться со всем этим))

А если приложение мне не понравилось, как потом вычищать все его запчасти? Прошу советов для чайника, как подружиться со всем этим))

apt remove --purge -y packagename && apt install -f && apt autoremove --purge -y
Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от anonymous

для debian 6, в заголовке написано что срок годности)

litande ()
Ответ на: комментарий от Vsevolod-linuxoid

в репах нет emerald, а для него нужен compiz-reloaded, которого в репах тоже нет, который по найденным мной инструкциям у меня не установился. либо я что-то неправильно понял)

litande ()

на что терминал мне выдал 6 разных ошибок.

Телепаты в отпуске

Deleted ()

Вы мне объясните пожалуйста, может я что делаю не так, неужели для установки чего-либо не из офф репозитория через synaptic, мне придется постоянно заниматься всем этим???

а как же

Harald ★★★★★ ()
Ответ на: комментарий от greenman

Спасибо, и за идущую следом команду тоже, значит будем просвещаться, пока кефир не польется)

litande ()

а как вы на винде без кастомного оконного менеджера и альтернативного DE обходились? :)

Harald ★★★★★ ()
Ответ на: комментарий от Harald

Обнадеживающе)) меня в «менеджменте» этих ваших зависимостей, больше всего пугает то, что в дебиане сколько-то там десятков тысяч этих пакетов, а я уже так стар))) Ладно, спасибо тем кто отписался, я примерно понял, что меня ждет)

litande ()
Ответ на: комментарий от Deleted

Владивосток. Да, насчет ошибок. Я больше пришел насчет самого процесса разузнать, будет для меня челлендж, compiz с emerald'ом, или обратно на винду))

litande ()
Ответ на: комментарий от litande

Дебиан наркоманы делают. Вали на Арч пока не поздно.

Что касается софта, то слава богу сейчас есть докер, и можно один раз полюбиться со сборкой, и потом просто запускать софт на любом линукс в докер-контейнере. Но это точно не для новичков кунг-фу.

Deleted ()
Последнее исправление: Deleted (всего исправлений: 1 )
Ответ на: комментарий от Deleted

Что касается софта, то слава богу сейчас есть докер, и можно один раз полюбиться со сборкой, и потом просто запускать софт на любом линукс в докер-контейнере.

и забить на обновления безопасности

Harald ★★★★★ ()
Ответ на: комментарий от Harald

Да кому он нужен, неуловимый Джо. С же не апач туда собираю.

Deleted ()
Ответ на: комментарий от Deleted

А что нибудь вменяемое для управления всеми этими контейнерами уже появилось?

kardapoltsev ★★★★ ()

через synaptic

гы-гы-гы, apt install и apt --purge autoremove вот и все что тебе надо и man apt в помощь

amd_amd ★★★★ ()
Ответ на: комментарий от Vsevolod-linuxoid

Переходи на Slackware — там вообще нет зависимостей.

Что, правда? KDE без Qt работает?

// Я-то знаю, что твои слова насчет зависимостей в слакве — ложь, но новичка-то в заблуждение зачем вводить?

dexpl ★★★★★ ()
Ответ на: комментарий от dexpl

Нет зависимостей — в смысле между пакетами, все вручную. Так-то они есть, как и вообще на любой ОС.

Да, она сложней тех, у которых есть зависимости между пакетами — но ведь он хочет какую-то сильно кастомную сборку. Зачастую использовать Слаку или Генту проще, чем разгребать dep-hell в уже готовой экосистеме после ручного вмешательства.

Vsevolod-linuxoid ★★★★★ ()

неужели для установки чего-либо не из оф[ициального] репозитория, мне придется постоянно заниматься всем этим?

Нет.

Сборка из ванильных исходников — последнее дело. Между нею и установкой «родного» пакета еще пять-шесть вариантов.

через synaptic

Вообще без разницы.

Zmicier ★★★★★ ()
Последнее исправление: Zmicier (всего исправлений: 1 )
Ответ на: комментарий от Vsevolod-linuxoid

но ведь он хочет какую-то сильно кастомную сборку

И ты предлагаешь новичку перейти с дебиана на слакву (и «просто написать слакбилд») вместо того, чтобы предложить ему перейти на что-то более человеческое, на худой конец на генту (там хотя бы сборка автоматизирована насколько можно). Выглядит издевательством.

dexpl ★★★★★ ()
Последнее исправление: dexpl (всего исправлений: 1 )
Ответ на: комментарий от amd_amd

гы-гы-гы, apt install и apt --purge autoremove вот и все что тебе надо

Не похоже. Товарищ явно не из простых, и очень скоро обнаружит, что без полноценного гуя — такого, как в aptitute(8) — ему в ситуации не разобраться.

Zmicier ★★★★★ ()
Последнее исправление: Zmicier (всего исправлений: 1 )

В дебиане с завимостями много проблем, лучше иди на слаку где нет зависимостей или на NixOS, там вообще все приложения в отдельные контейнеры ставятся вместе с зависимостями

playX ★★ ()
Ответ на: комментарий от playX

лучше иди на слаку где нет зависимостей

Еще один. Откуда вы такие беретесь?

dexpl ★★★★★ ()

Ты для начала темы свои оформлять научись, чтобы читающих это не отталкивало.

5 (!) тегов, из них к предмету отношение с натяжкой имеет один (зависимости), а самого главного тега - debian - нету. Т.е. половина тех, кто мог тебе помочь, уже прошла мимо темы.

Три тега - debian, mate, compiz - были бы куда информативнее.

«Много буков» без разделения на абзацы читать тяжело, да. Абзац на ЛОРе делается немного непривычно - вставка пустой строки.

По теме:

Насмотревшись/начитавшись всяких тем, я понял что хочу (и использую на данный момент) Mate, с «менеджером» compiz с «оконным менеджером» emerald, так как на мой вкус, из того, что я нашел, это самое симпотичное.

Не хочу тебя отговаривать, но если хочется минимум шаманства, то более реалистичным вариантом мне представляется тюнинг того же KDE, который темами и виджетами можно переделать до неузнаваемости. Да, собственно, и с большинством линуксовых WM/DE так можно. Если же нужен именно Mate и обязательно с тем, что ты перечислил - вперёд, но вложенные усилия могут оказаться несоразмерными полученному результату.

hobbit ★★★★★ ()
Последнее исправление: hobbit (всего исправлений: 2 )
Ответ на: комментарий от hobbit

Учиться оформлять темы не буду, прости. Добавлять свои теги не могу, выбирал из того, что есть. Уже давно разобрался и установил все что нужно, спасибо, помощь с этим больше не нужна.

litande ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.